# Training Providers

Training Providers

 - [GET /trainingProviders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/listtrainingproviders.md): This method will scan all training providers and and return them to the caller.
 - [POST /trainingProviders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/createtrainingprovider.md): This method will auto-generate an ID and create a new training provider. If an ID is specified for the training provider, an error will be thrown.
 - [POST /trainingProviders/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /trainingProviders/{tenantId}/portal/activities/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/listactivitiesbycontact.md): List the certification activites for the given contact
 - [POST /trainingProviders/{tenantId}/portal/activity/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/createactivity.md): Allows for portal users to create a certification activity
 - [PUT /trainingProviders/{tenantId}/portal/activity/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/updateactivity.md): Allows for a portal user to update an activity
 - [POST /trainingProviders/{tenantId}/portal/application/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/createtrainingprovidercertificationapplication.md): Allows for a portal user to create a certification application
 - [GET /trainingProviders/{tenantId}/portal/application/{trainingProviderId}/{applicationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/gettrainingproviderapplication.md): Allows for a portal user to get a certification application
 - [PUT /trainingProviders/{tenantId}/portal/application/{trainingProviderId}/{applicationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/updatetrainingproviderapplication.md): Allows for a portal user to update a certification application
 - [POST /trainingProviders/{tenantId}/portal/applicationOrder/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/generatetrainingproviderapplicationorder.md): Allows for a portal user to create an order for someone elses certification application
 - [GET /trainingProviders/{tenantId}/portal/applications/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/listapplicationsbycontact.md): Shows a list of applications by contact
 - [GET /trainingProviders/{tenantId}/portal/certification/{trainingProviderId}/{certificationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/gettrainingprovidercertification.md): Get a certification
 - [GET /trainingProviders/{tenantId}/portal/certifications/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/listcertificationsbycontact.md): Shows a list of certifications by contact
 - [POST /trainingProviders/{tenantId}/portal/contact/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/createtrainingprovidercontact.md): Allows for a portal user to create a new contact
 - [GET /trainingProviders/{tenantId}/portal/contact/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/gettrainingprovidercontact.md): Allows for a portal user to get a new contact
 - [PUT /trainingProviders/{tenantId}/portal/contact/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/updatetrainingprovidercontact.md): Allows for a portal user to update a new contact
 - [POST /trainingProviders/{tenantId}/portal/contactSearch/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/searchfortrainingprovidercontacts.md): Allows for a portal user to search for contacts
 - [POST /trainingProviders/{tenantId}/portal/courseRegistration/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/createtrainingprovidercourseregistration.md): Allows for a portal user to create a course registration
 - [GET /trainingProviders/{tenantId}/portal/courseRegistration/{trainingProviderId}/{courseRegistrationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/gettrainingprovidercourseregistration.md): Allows for a portal user to get a course registration
 - [POST /trainingProviders/{tenantId}/portal/courseRegistrationOrder/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/generatetrainingprovidercourseregistrationorder.md): Allows for a portal user to create a course registration
 - [GET /trainingProviders/{tenantId}/portal/courseRegistrations/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/listcourseregistrationsbycontact.md): Shows a list of course registration by contact
 - [GET /trainingProviders/{tenantId}/portal/eligibleActivityRegProcess/{trainingProviderId}/{contactId}/{activityTypeId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/geteligibleactivityprocesses.md): Get the eligible activity reg process
 - [GET /trainingProviders/{tenantId}/portal/eligibleApplicationProcess/{trainingProviderId}/{programId}/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/geteligibleapplicationprocesses.md): Get the eligible appliation process
 - [GET /trainingProviders/{tenantId}/portal/eligibleCourseRegProcess/{trainingProviderId}/{contactId}/{courseId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/geteligiblecourseregprocesses.md): Get the eligible course registration process
 - [GET /trainingProviders/{tenantId}/portal/eligibleExamRegProcess/{trainingProviderId}/{contactId}/{examId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/geteligibleexamregprocesses.md): Get the eligible exam registration process
 - [POST /trainingProviders/{tenantId}/portal/examRegistration/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/createtrainingproviderexamregistration.md): Allows for a portal user to create a exam registration
 - [GET /trainingProviders/{tenantId}/portal/examRegistration/{trainingProviderId}/{examRegistrationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/gettrainingproviderexamregistration.md): Allows for a portal user to get an exam registration
 - [POST /trainingProviders/{tenantId}/portal/examRegistrationOrder/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/generatetrainingproviderexamregistrationorder.md): Allows for a portal user to create a exam registration
 - [GET /trainingProviders/{tenantId}/portal/examRegistrations/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/listexamregistrationsbycontact.md): Shows a list of exam registration by contact
 - [POST /trainingProviders/{tenantId}/portal/generateApplication/{trainingProviderId}/{processId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/generatetrainingprovidercertificationapplication.md): Allows for a portal user to generate a certification application
 - [GET /trainingProviders/{tenantId}/portal/invoices/{trainingProviderId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/listinvoicesbycontact.md): Shows a list of invoices by contact
 - [PUT /trainingProviders/{tenantId}/portal/processActivity/{trainingProviderId}/{activityId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/processactivity.md): Allows for portal users to process a certification activity
 - [GET /trainingProviders/{tenantId}/portal/queries/{trainingProviderId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/describetrainingproviderqueries.md): Returns a list of queries training providers are able to run
 - [POST /trainingProviders/{tenantId}/query/{trainingProviderId}/{savedQueryId}/{outputFormat}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/runtrainingproviderquery.md)
 - [DELETE /trainingProviders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/deletetrainingprovider.md): This method will delete a training provider with the specified ID.
 - [GET /trainingProviders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/gettrainingprovider.md): This method will look up a training provider by the specified ID and return it back.
 - [PATCH /trainingProviders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/patchtrainingprovider.md): This method will patch an existing training provider with the specified ID, using the HTTP PATCH specification.
 - [PUT /trainingProviders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-providers/updatetrainingprovider.md): This method will update an existing training provider with the specified ID.
